Bug 1326890 - FTBFS with gcc-go on s390x
Summary: FTBFS with gcc-go on s390x
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: golang-googlecode-net
Version: 27
Hardware: s390x
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Fridolín Pokorný
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
Depends On: 1349371
Blocks: ZedoraTracker 1430127
TreeView+ depends on / blocked
 
Reported: 2016-04-13 16:25 UTC by Dan Horák
Modified: 2018-07-26 15:03 UTC (History)
6 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-07-26 14:06:42 UTC


Attachments (Terms of Use)
build.log (347.91 KB, text/plain)
2016-04-13 16:25 UTC, Dan Horák
no flags Details
add s390x support (9.08 KB, patch)
2016-04-15 16:06 UTC, Dan Horák
no flags Details | Diff

Description Dan Horák 2016-04-13 16:25:39 UTC
Created attachment 1146911 [details]
build.log

Build of golang-googlecode-net fails on s390x that uses gcc-go with tons of errors 

...
+ go test -compiler gccgo -gccgoflags '-O2 -g -pipe -Wall -Werror=format-security -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector-strong --param=ssp-buffer-size=4 -grecord-gcc-switches -specs=/usr/lib/rpm/redhat/redhat-hardened-cc1 -m64 -march=z9-109 -mtune=z10 ' golang.org/x/net/ipv4
# golang.org/x/net/ipv4
../../BUILDROOT/golang-googlecode-net-0-0.31.git6acef71.fc24.s390x/usr/share/gocode/src/golang.org/x/net/ipv4/icmp.go:34:2: error: use of undefined type 'sysICMPFilter'
  sysICMPFilter
  ^
../../BUILDROOT/golang-googlecode-net-0-0.31.git6acef71.fc24.s390x/usr/share/gocode/src/golang.org/x/net/ipv4/control_pktinfo.go:19:11: error: reference to undefined name 'sysIP_PKTINFO'
  m.Type = sysIP_PKTINFO
           ^
../../BUILDROOT/golang-googlecode-net-0-0.31.git6acef71.fc24.s390x/usr/share/gocode/src/golang.org/x/net/ipv4/control_pktinfo.go:20:27: error: reference to undefined name 'sysSizeofInetPktinfo'
...


see http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2183406 for full logs, or attachment for build.log


Version-Release number of selected component (if applicable):
golang-googlecode-net-0-0.31.git6acef71.fc24

Comment 1 Jan Chaloupka 2016-04-13 20:01:46 UTC
ipv4]$ grep -rn "type sysICMPFilter"
zsys_linux_amd64.go:130:type sysICMPFilter struct {
icmp_stub.go:11:type sysICMPFilter struct {
zsys_linux_arm64.go:132:type sysICMPFilter struct {
defs_linux.go:111:type sysICMPFilter C.struct_icmp_filter
zsys_linux_mips64le.go:132:type sysICMPFilter struct {
zsys_linux_mips64.go:132:type sysICMPFilter struct {
zsys_linux_386.go:128:type sysICMPFilter struct {
zsys_linux_ppc64le.go:132:type sysICMPFilter struct {
zsys_linux_ppc64.go:132:type sysICMPFilter struct {
zsys_linux_arm.go:128:type sysICMPFilter struct {

Can't see s390x among supported architectures for this package.

Checking the upstream [1] the support is still missing.

[1] https://github.com/golang/net/tree/master/ipv4

Comment 2 Dan Horák 2016-04-14 14:25:30 UTC
The files are generated with "cgo" if I see correctly, how difficult would be to add the s390x variant? Do we have the tool needed (we even have golang now on s390x)? How about upstream acceptance?

Comment 3 Dan Horák 2016-04-15 16:06 UTC
Created attachment 1147705 [details]
add s390x support

something like that should add the missing s390x support, but it fails to build for me, it exceeds my Go foo :-)

Comment 4 Jan Chaloupka 2016-04-15 16:11:04 UTC
Thanks for the patch. I will take a look at it.

Comment 5 Dan Horák 2016-04-15 16:29:09 UTC
scratch build with applied http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2187433

Comment 6 Dan Horák 2016-06-22 16:52:03 UTC
Seems recent upstream already contains s390x support, please make an update in Fedora too.

Comment 7 Jan Chaloupka 2016-06-23 07:58:51 UTC
Still the same issue [1]: "/tmp/go-build546930784/golang.org/x/net/libipv4.a(_go_.o): In function `golang_org_x_net_ipv4.set.pN28_golang_org_x_net_ipv4.rawOpt':
/builddir/build/BUILDROOT/golang-googlecode-net-0-0.32.gitbc3663d.fc25.s390x/usr/share/gocode/src/golang.org/x/net/ipv4/control.go:18: multiple definition of `golang_org_x_net_ipv4.set.pN28_golang_org_x_net_ipv4.rawOpt'"

[1] http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2266793

Comment 8 Dan Horák 2016-07-21 20:14:59 UTC
We have switched to golang on s390x now, so please do the update to recent version.

Comment 9 Jan Chaloupka 2016-07-25 12:38:01 UTC
$ gofed apidiff --reference=upstream:github.com/golang/net:4d38db76854b199960801a1734443fd02870d7e1 --compare-with=upstream:github.com/golang/net:6acef71eb69611914f7a30939ea9f6e194c78172 -ca
+http2: new function: Err
+http2: new function: pipe.Len
+http2: new function: sorter.Less
+http2: new function: sorter.Keys
+http2: new function: GoAwayError.Error
+http2: new function: sorter.Len
+http2: new function: sorter.Swap
+http2: new function: Done
+http2: new function: sorter.SortStrings
+http2: new function: ValidTrailerHeader
+http2: new type: GoAwayError
~http2: type updated: +struct werr: new field 'lastActive'
~http2: type updated: +struct werr: new field 'goAwayDebug'
~http2: type updated: +struct werr: new field 'singleUse'
~http2: type updated: +struct connPoolOrDef: new field 'AllowHTTP'
+ipv4: new function: dgramOpt.SetBPF
+ipv6: new function: dgramOpt.SetBPF
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml
~webdav: function updated: -identifiers differ in type: xml != ixml

- looks like the current commit and the latest are compatible.
- local build on x86_64 is ok
- scratch build on s390x ok: http://s390.koji.fedoraproject.org/koji/taskinfo?taskID=2297684
- scratch build on ppc64 ok: http://ppc.koji.fedoraproject.org/koji/taskinfo?taskID=3552550
- scratch build on primary archs ok: http://koji.fedoraproject.org/koji/taskinfo?taskID=15012774

Comment 10 Fedora Update System 2016-07-25 13:21:13 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-9eb5699e28

Comment 11 Fedora Update System 2016-07-25 13:21:40 UTC
golang-googlecode-net-0-0.33.git4d38db7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b97ecadbf

Comment 12 Fedora Update System 2016-07-25 13:22:10 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-a15d7c860d

Comment 13 Fedora Update System 2016-07-27 21:19:19 UTC
golang-googlecode-net-0-0.33.git4d38db7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-2b97ecadbf

Comment 14 Fedora Update System 2016-07-28 04:18:52 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-9eb5699e28

Comment 15 Fedora Update System 2016-07-28 06:01:06 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-a15d7c860d

Comment 16 Fedora Update System 2016-08-08 20:29:14 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2016-08-08 23:55:49 UTC
golang-googlecode-net-0-0.33.git4d38db7.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-08-09 14:26:44 UTC
golang-googlecode-net-0-0.34.git4d38db7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-276536f1a6

Comment 19 Fedora Update System 2016-08-10 00:50:57 UTC
golang-googlecode-net-0-0.34.git4d38db7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-276536f1a6

Comment 20 Fedora Update System 2016-12-14 22:08:44 UTC
golang-googlecode-net-0-0.35.git4d38db7.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-294468a279

Comment 21 Fedora Update System 2016-12-14 22:09:00 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-92e44d8c16

Comment 22 Fedora Update System 2016-12-14 22:09:15 UTC
golang-googlecode-net-0-0.35.git4d38db7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e6c2dee66

Comment 23 Fedora Update System 2016-12-14 22:09:30 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-3675b2c8c1

Comment 24 Fedora Update System 2016-12-16 04:20:12 UTC
golang-googlecode-net-0-0.35.git4d38db7.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e6c2dee66

Comment 25 Fedora Update System 2016-12-16 05:30:53 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-3675b2c8c1

Comment 26 Fedora Update System 2016-12-16 05:32:23 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-92e44d8c16

Comment 27 Fedora Update System 2016-12-16 13:17:10 UTC
golang-googlecode-net-0-0.35.git4d38db7.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-294468a279

Comment 28 Tuomo Soini 2016-12-19 12:28:57 UTC
golang-googlecode-net-0-0.12.hg84a4013f96e0.el7 is in rhel7. Please retire package on epel7.

Comment 29 Fedora Update System 2017-03-08 13:22:35 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 30 Fedora Update System 2017-03-08 13:51:46 UTC
golang-googlecode-net-0-0.35.git4d38db7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.

Comment 31 Fedora Update System 2017-03-08 15:48:30 UTC
golang-googlecode-net-0-0.35.git4d38db7.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 32 Fedora Update System 2017-03-15 14:10:07 UTC
golang-googlecode-net-0-0.37.gitf249948.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a6b494e1a

Comment 33 Fedora Update System 2017-03-15 14:10:22 UTC
golang-googlecode-net-0-0.37.gitf249948.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b6f1744c8

Comment 34 Fedora Update System 2017-03-15 14:10:40 UTC
golang-googlecode-net-0-0.37.gitf249948.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-ecceded7e9

Comment 35 Fedora Update System 2017-03-16 00:50:22 UTC
golang-googlecode-net-0-0.37.gitf249948.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-5a6b494e1a

Comment 36 Fedora Update System 2017-03-16 23:18:58 UTC
golang-googlecode-net-0-0.37.gitf249948.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-ecceded7e9

Comment 37 Fedora Update System 2017-03-16 23:20:43 UTC
golang-googlecode-net-0-0.37.gitf249948.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7b6f1744c8

Comment 38 Fedora End Of Life 2017-07-25 20:32:57 UTC
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 39 Fedora End Of Life 2017-08-08 14:14:33 UTC
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 40 Fedora Update System 2017-08-24 13:58:58 UTC
golang-googlecode-net-0-0.40.git1c05540.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-655fc4d7de

Comment 41 Fedora Update System 2017-08-24 13:59:07 UTC
golang-googlecode-net-0-0.40.git1c05540.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ef68b86b4

Comment 42 Fedora Update System 2017-08-24 13:59:14 UTC
golang-googlecode-net-0-0.40.git1c05540.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-133c63ab59

Comment 43 Fedora Update System 2017-08-24 16:49:52 UTC
golang-googlecode-net-0-0.40.git1c05540.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-655fc4d7de

Comment 44 Fedora Update System 2017-08-24 16:52:05 UTC
golang-googlecode-net-0-0.40.git1c05540.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-133c63ab59

Comment 45 Fedora Update System 2017-08-24 23:46:43 UTC
golang-googlecode-net-0-0.40.git1c05540.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-5ef68b86b4

Comment 46 Fedora Update System 2017-09-18 08:47:36 UTC
golang-googlecode-net-0-0.40.git1c05540.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-1dff2f54cc

Comment 47 Fedora Update System 2017-09-18 22:22:43 UTC
golang-googlecode-net-0-0.40.git1c05540.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-1dff2f54cc

Comment 48 Ed Marshall 2017-10-17 22:08:24 UTC
Could a build for EPEL7 be pushed as well?

Comment 49 Fedora Update System 2018-02-26 21:44:21 UTC
golang-googlecode-net-0-0.35.git4d38db7.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-9e6c2dee66

Comment 50 Fedora Update System 2018-03-08 11:42:37 UTC
golang-googlecode-net-0-0.43.20180308git66aacef.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-57ec52532e

Comment 51 Fedora Update System 2018-03-08 11:42:47 UTC
golang-googlecode-net-0-0.43.20180308git66aacef.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-35dff1dffd

Comment 52 Fedora Update System 2018-03-08 16:23:48 UTC
golang-googlecode-net-0-0.43.20180308git66aacef.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-57ec52532e

Comment 53 Fedora Update System 2018-03-09 23:25:18 UTC
golang-googlecode-net-0-0.43.20180308git66aacef.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-35dff1dffd

Comment 54 Jan Kurik 2018-05-31 09:08:40 UTC
This bug is currently reported against a Fedora version which is already unsuported.
I am changing the version to '27', the latest supported release.

Please check whether this bug is still an issue on the '27' release.
If you find this bug not being applicable on this release, please close it.

Comment 55 Fedora Update System 2018-07-02 15:24:02 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-732e8715dd

Comment 56 Fedora Update System 2018-07-02 15:24:19 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1e3543581

Comment 57 Fedora Update System 2018-07-03 14:00:59 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-732e8715dd

Comment 58 Fedora Update System 2018-07-03 17:54:10 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-d1e3543581

Comment 59 Fedora Update System 2018-07-26 14:06:42 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 60 Fedora Update System 2018-07-26 15:03:41 UTC
golang-googlecode-net-0-0.46.20180614gitdb08ff0.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.